Bug 1162790 - [GSS] (6.4.0) Failure during reconnect phase for the client in multithread environments
Summary: [GSS] (6.4.0) Failure during reconnect phase for the client in multithread en...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: EAP 6.4.0
Assignee: David M. Lloyd
QA Contact: Jan Martiska
URL:
Whiteboard:
Depends On:
Blocks: 1176556 1179078 1179107
TreeView+ depends on / blocked
 
Reported: 2014-11-11 17:20 UTC by wfink
Modified: 2019-08-19 12:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1176556 1176996 1179078 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker EJBCLIENT-121 Blocker Resolved Failure during reconnect phase for the client in multithread environments 2015-08-13 20:44:27 UTC

Description wfink 2014-11-11 17:20:40 UTC
After a connection failure, like server restart, the client need to reconnect with the next invocation attempt.
During this phase it happen that the first thread will start the reconnect and wait for the result. The second thread detect that the reconnects are started and skip this.
Unfortunately this cause errors as the thread is not blocked until the first connection is available again.

Actual results:
Failure of inocation with ERROR messages

Expected results:
Wait until connections are available, or fail if reconnect failed

Comment 1 JBoss JIRA Server 2014-12-08 20:48:35 UTC
Richard Achmatowicz <rachmato@redhat.com> updated the status of jira EJBCLIENT-121 to Coding In Progress

Comment 5 Jan Martiska 2015-01-14 09:32:21 UTC
Verified in EAP 6.4.0.ER1.


Note You need to log in before you can comment on or make changes to this bug.